> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Firecrawl Map

> 发现网站上的 URL——在抓取或遍历之前快速建立链接清单的方式。

给定一个起始 URL，发现该站点上可达的链接并以列表形式返回。这是在决定抓取或遍历之前了解站点结构最经济的方式。`url` 必须是 HTTPS，`limit` 为必填（1 到 100000）。

计费按 Firecrawl credit 计量——每发现一个链接消耗 1 credit。之后可把这些 URL 交给 [`post_firecrawl-scrape`](/docs/zh/api-reference/search/post_firecrawl-scrape) 或 [`post_firecrawl-batch-scrape`](/docs/zh/api-reference/search/post_firecrawl-batch-scrape) 抓取内容。


## OpenAPI

````yaml openapi/zh/firecrawl.json POST /firecrawl/map
openapi: 3.0.0
info:
  title: Firecrawl API
  version: 1.0.0
  description: >-
    Firecrawl 各 endpoint 的统一 API 文档，包括 Scrape、Search、Map、Parse、Crawl 和 Batch
    Scrape。Scrape、Search、Map 和 Parse 是同步接口。Crawl 和 Batch Scrape
    是异步接口：调用方提交任务，然后轮询返回的任务资源以获取状态和结果。


    计费按消耗的 Firecrawl credit 计量，而不是按请求固定收费，因此总费用随任务产生的页面、链接或结果数量增长。大致 credit
    消耗：Scrape = 每页 1 credit，Map = 每页 1 credit，Search = 每 10 条结果约 2 credits，Crawl
    = 每页 1 credit，Batch Scrape = 每页 1 credit。每个 credit 对应的美元费率取决于你的等级（normal
    $0.005，vip $0.004，svip $0.0034）。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - bearerAuth: []
paths:
  /firecrawl/map:
    post:
      tags:
        - https://docs.firecrawl.dev/api-reference/endpoint/map
      summary: 发现网站上的 URL。
      description: >-
        同步接口。给定一个起始 URL，发现并返回该站点上可达的链接。URL 必须是 HTTPS，limit 为必填（1 到
        100000）。每发现一个链接/页面计 1 个 Firecrawl credit。
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                  format: uri
                  description: 要做 map 的 HTTPS URL。
                  example: https://docs.firecrawl.dev
                limit:
                  type: integer
                  minimum: 1
                  maximum: 100000
                  description: 要发现的链接数量上限。在计量模式下为必填。
                  example: 100
              required:
                - url
                - limit
      responses:
        '200':
          description: map 成功完成。
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: map 成功时为 true。
                  links:
                    type: array
                    description: 发现的链接。
                    items:
                      type: object
                      properties:
                        url:
                          type: string
                          description: 一个已发现的 URL。
                        title:
                          type: string
                          description: 所发现页面的标题（如果有）。
                  creditsUsed:
                    type: integer
                    description: 消耗的 Firecrawl credits（每发现一个链接 1 个）。
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````